Bug 120079 - cups backend programs getting denied
Summary: cups backend programs getting denied
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: policy   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard: triage|leonardjo|closed|rawhide
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-05 20:23 UTC by Gene Czarcinski
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: 1.9.2-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 17:24:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2004-04-05 20:23:31 UTC
Description of problem:
policy 1.9.2-10

During cups startup, the following messages are issued:

Apr  5 13:15:53 chaos kernel: audit(1081185353.808:0): avc:  denied  {
write } for  pid=1554 exe=/usr/lib/cups/backend/parallel name=lp0
dev=hda7 ino=671659 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr  5 13:15:54 chaos kernel: audit(1081185354.323:0): avc:  denied  {
read write } for  pid=1569 exe=/usr/lib/cups/backend/epson name=lp0
dev=hda7 ino=671659 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr  5 13:15:56 chaos kernel: audit(1081185356.880:0): avc:  denied  {
read write } for  pid=1734 exe=/usr/lib/cups/backend/canon name=lp0
dev=hda7 ino=671659 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:device_t tclass=chr_file
Apr  5 13:15:58 chaos cups: cupsd startup succeeded

NOTE: the only printer defined is a shared cups queue on another system.

Comment 1 Daniel Walsh 2004-04-06 03:07:32 UTC
Fixed in policy-1.9.2-12


Note You need to log in before you can comment on or make changes to this bug.